<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="identifiersDiv">
        <s:decorate template="/layout/form/_checkbox.xhtml"
                    rendered="#{showLinks}">
            <ui:param name="id" value="showlink"/>
            <h:selectBooleanCheckbox
                    value="#{patientManager.displayLinks}"
                    id="showlink">
                <a4j:ajax render="identifiersDiv" event="change"/>
            </h:selectBooleanCheckbox>
            #{messages['net.ihe.gazelle.patientmanager.ShowLinks']}
        </s:decorate>
        <dl>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.pam.PatientIdentifiers']}</ui:define>
                <rich:list id="pidList" value="#{patient.patientIdentifiers}" var="pid"
                           rendered="#{not( patientManager.displayLinks)}"
                           type="unordered">
                    <h:outputText value="#{pid.fullPatientId}"/>
                    <h:outputText value=" (#{pid.identifierTypeCode})" rendered="#{pid.identifierTypeCode != null}"/>
                </rich:list>
                <rich:list id="pidListWithLinks" value="#{patientIdentifierDAO.getPatientIdentifiers(patient)}" var="pid"
                           rendered="#{patientManager.displayLinks}"
                           type="unordered">
                    <h:outputText value="#{pid.fullPatientId}" style="font-weight:bold;"/>
                    <h:outputText value=" (#{pid.identifierTypeCode})" rendered="#{pid.identifierTypeCode != null}"/>
                    <rich:list value="#{pid.linksAsFirst}" var="link1" type="unordered">
                        <s:div id="link1Div" rendered="#{link1.simulatedActor.equals(patient.simulatedActor)}">
                            <h:outputText value="#{link1.patientIdentifierTwo.fullPatientId}"/>
                            <rich:list
                                    value="#{patient.getPatientByPidByActor(link1.patientIdentifierTwo, patient.simulatedActor)}"
                                    var="pat1" type="unordered">
                                <h:commandLink value="#{pat1.firstName} #{pat1.lastName}"
                                               action="#{patient.getPermanentLink(pat1)}" target="_blank"/>
                            </rich:list>
                        </s:div>
                    </rich:list>
                    <rich:list value="#{pid.linksAsSecond}" var="link2" type="unordered">
                        <s:div id="link2Div" rendered="#{link2.simulatedActor.equals(patient.simulatedActor)}">
                            <h:outputText value="#{link2.patientIdentifierOne.fullPatientId}"/>
                            <rich:list
                                    value="#{patient.getPatientByPidByActor(link2.patientIdentifierOne, patient.simulatedActor)}"
                                    var="pat2" type="unordered">
                                <h:commandLink value="#{pat2.firstName} #{pat2.lastName}"
                                               action="#{patient.getPermanentLink(pat2)}" target="_blank"/>
                            </rich:list>
                        </s:div>
                    </rich:list>
                </rich:list>
            </s:decorate>
        </dl>
    </s:div>
</ui:composition>